0.18.3.1 can fail when tracing due to missing files

Bug #1311895 reported by Pádraig Brady on 2014-04-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gettext (Debian)
Fix Released
Unknown
gettext (Ubuntu)
Medium
Adam Conrad
Trusty
Undecided
Adam Conrad

Bug Description

This is fixed in the 0.18.3.2 release.

For example when bootstrapping coreutils we get:

> ./bootstrap: autopoint --force
> sh: build-aux/git-version-gen: No such file or directory
> /usr/bin/m4:configure.ac:444: cannot open `m4/cu-progs.m4': \
> No such file or directory
> autom4te: /usr/bin/m4 failed with exit status: 1

Please rebase the trusty version to 0.18.3.2 to avoid this
and other issues.

thanks,
Pádraig.

C de-Avillez (hggdh2) wrote :

Confirmed: I cloned a new coreutils git image, and ran bootstrap, on 14.04:

(...)
./bootstrap: autopoint --force
sh: 1: build-aux/git-version-gen: not found
/usr/bin/m4:configure.ac:451: cannot open `m4/cu-progs.m4': No such file or directory
autom4te: /usr/bin/m4 failed with exit status: 1
autopoint: *** Missing version: please specify in configure.ac through a line 'AM_GNU_GETTEXT_VERSION(x.yy.zz)' the gettext version the package is using
autopoint: *** Stop.

Interestingly, my usual coreutils git image survives a bootstrap. I am guessing it is because it was originally cloned & bootstrapped before the problem appeared in gettext.

This issue was originally reported on upstream coreutils; Pádraig's work pointed to the issue (and thank you for opening this bug, BTW).

Probably also affects Debian, except Jessie and Sid (already on 0.18.3.2).

for reference: this is Coreutils upstream bug 16530
coreutils-bugs thread: http://lists.gnu.org/archive/html/bug-coreutils/2014-04/msg00102.html

Changed in gettext (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
C de-Avillez (hggdh2) wrote :

Infinity pointed me to both the Debian bug (already linked) and to the fix see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=730321). Given time, I will package it.

Adam Conrad (adconrad) on 2014-04-24
Changed in gettext (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in gettext (Ubuntu Trusty):
assignee: nobody → Adam Conrad (adconrad)
Changed in gettext (Debian):
status: Unknown → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gettext - 0.18.3.2-1ubuntu1

---------------
gettext (0.18.3.2-1ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable (LP: #1311895), remaining changes:
    - Allow the package to cross-build.
    - Define a stage1 profile to build without java and git.
    - Explicitly configure with --disable-csharp.
    - Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.
    - Apply libtool.m4 patch for ppc64el.
    - gettext-el: Add an alternative dependency on emacs24.

gettext (0.18.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Dropped 07-disable-m4-include-when-tracing.

gettext (0.18.3.1-2) unstable; urgency=medium

  * Fixed autopoint problem that made coreutils build to fail.
    Patch by Daiki Ueno. Closes: #730321.

gettext (0.18.3.1-1ubuntu2) trusty; urgency=low

  * Restore --disable-native-java even when not doing a stage1 build, since
    otherwise we fail to build if the default Java implementation is GCJ.
  * Apply libtool.m4 patch for powerpc*le-linux support, copied from libtool
    2.4.2-1.3ubuntu2.
 -- Adam Conrad <email address hidden> Thu, 24 Apr 2014 16:15:49 -0600

Changed in gettext (Ubuntu):
status: Triaged → Fix Released
Adam Conrad (adconrad) wrote :

The trusty fix for this is sitting in the SRU queue, if someone who isn't me wants to review and accept it.

Hello Pádraig, or anyone else affected,

Accepted gettext into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gettext/0.18.3.1-1ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gettext (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
C de-Avillez (hggdh2) wrote :

cloned the git head of coreutils, and ran 'bootstrap', after updating gettext from -proposed.

First run failed:

./bootstrap: autopoint --force
sh: 1: build-aux/git-version-gen: not found
/usr/bin/m4:configure.ac:451: cannot open `m4/cu-progs.m4': No such file or directory
autom4te: /usr/bin/m4 failed with exit status: 1
autopoint: *** Missing version: please specify in configure.ac through a line 'AM_GNU_GETTEXT_VERSION(x.yy.zz)' the gettext version the package is using
autopoint: *** Stop.

I then updated autopoint, also from -proposed, and ran bootstrap again, successfully.

Only comment here is the new gettext package should depend on the updated autopoint as well. But this is sort of moot on a dist-upgrade.

Tagging verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gettext - 0.18.3.1-1ubuntu3

---------------
gettext (0.18.3.1-1ubuntu3) trusty; urgency=medium

  * 07-disable-m4-include-when-tracing: Fix possible failure when
    tracing by disabling m4_include and m4_esyscmd (LP: #1311895)
 -- Adam Conrad <email address hidden> Thu, 24 Apr 2014 16:05:48 -0600

Changed in gettext (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gettext has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.